# Interface RcsbViewBehaviourInterface

#### Hierarchy

- RcsbViewBehaviourInterface

#### Implemented by

- AlignmentProviderBehaviour

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbViewBehaviourInterface.ts:7

#####
Index

### Methods

observe
unsubscribe

## Methods

### observe

- observe(rcsbFvContainer, stateManager): void

- #### Parameters

  - ##### rcsbFvContainer: DataContainer<RcsbFvModulePublicInterface<{}, {}, {}, {}>>

  - ##### stateManager: RcsbFvStateInterface

  #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbViewBehaviourInterface.ts:9

### unsubscribe

- unsubscribe(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbViewBehaviourInterface.ts:10

Generated using TypeDoc